> ## Documentation Index > Fetch the complete documentation index at: https://learn.servitly.com/llms.txt > Use this file to discover all available pages before exploring further. # Get service levels > Returns the list of configured service levels, i.e. the service plans (for instance Basic, Advanced, Premium) that can be subscribed for a thing or a customer.
Each service level declares the features it enables, such as alerting and notifications, and the pricing model applied to things and authorizations. The level value is the integer used to compare and sort them. Service levels are deprecated, so you should relay on Digital Services (plans and add-ons). ## OpenAPI ````json GET /inventory/serviceLevels { "openapi": "3.1.0", "info": { "title": "Servitly DPS API", "version": "1.0.0" }, "servers": [ { "url": "https://api.servitly-sandbox.com", "description": "[AWS SANDBOX]" }, { "url": "https://api.servitly.com", "description": "[AWS PRODUCTION Ireland]" }, { "url": "https://api-ap.servitly.com", "description": "[AWS Hong Kong]" }, { "url": "https://azapi.servitly-dev.com", "description": "[AZURE DEV Frankfurt]" }, { "url": "https://azapi.servitly-staging.com", "description": "[AZURE STAGING Frankfurt]" }, { "url": "https://azapi.servitly.com", "description": "[AZURE PRODUCTION Frankfurt]" } ], "security": [ { "bearerAuth": [] } ], "tags": [ { "name": "ACTIONS" }, { "name": "ALERTS" }, { "name": "API GATEWAY" }, { "name": "AUTHENTICATION" }, { "name": "AUTHORIZATIONS" }, { "name": "CUSTOMERS" }, { "name": "DATA IMPORT / EXPORT" }, { "name": "EVENTS" }, { "name": "LOCATIONS" }, { "name": "MAINTENANCE" }, { "name": "MAPPING" }, { "name": "METRIC DATA" }, { "name": "MOBILE APP" }, { "name": "ORGANIZATION" }, { "name": "PARTNERS" }, { "name": "PRODUCT MODELS" }, { "name": "SPARE PARTS" }, { "name": "STATISTICS" }, { "name": "STORE ORDERS" }, { "name": "SUBSCRIPTIONS" }, { "name": "SUBSCRIPTIONS (OLD)" }, { "name": "THING CONTROL" }, { "name": "THING DEFINITIONS" }, { "name": "THING MANAGEMENT" }, { "name": "THINGS" }, { "name": "TICKETS" }, { "name": "USER TYPES" }, { "name": "USERS" }, { "name": "WORK SESSIONS" } ], "paths": { "/inventory/serviceLevels": { "get": { "summary": "Get service levels", "description": "Returns the list of configured service levels, i.e. the service plans (for instance Basic, Advanced, Premium) that can be subscribed for a thing or a customer.
Each service level declares the features it enables, such as alerting and notifications, and the pricing model applied to things and authorizations. The level value is the integer used to compare and sort them. Service levels are deprecated, so you should relay on Digital Services (plans and add-ons).", "deprecated": "true", "tags": [ "SUBSCRIPTIONS (OLD)" ], "parameters": [ { "$ref": "#/components/parameters/tenantNameHeader" } ], "responses": { "200": { "description": "Successful operation.", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ServiceLevel" } } } } }, "401": { "$ref": "#/components/responses/NotAuthenticated" }, "403": { "$ref": "#/components/responses/NotAuthorized" }, "404": { "$ref": "#/components/responses/NotFound" }, "429": { "$ref": "#/components/responses/ApiLimit" } } } } }, "components": { "parameters": { "tenantNameHeader": { "in": "header", "name": "X-Servitly-Tenant", "required": "true", "schema": { "type": "string", "example": "{{tenantName}}" }, "description": "The name of the tenant (e.g. acme)." } }, "schemas": { "ServiceLevel": { "type": "object", "properties": { "id": { "type": "string", "readOnly": "true", "description": "The service-level object identifier." }, "name": { "type": "string", "description": "The name of the service level." }, "level": { "type": "integer", "description": "The integer value used to compare and sort service levels." }, "alertingFeature": { "type": "boolean", "description": "The flag indicating whether the alerts management is enabled or not." }, "notificationsFeature": { "type": "boolean", "description": "The flag indicating whether the notifications management is enabled or not." }, "thingPricing": { "type": "object", "description": "The thing pricing model." }, "authorizationPricing": { "type": "object", "description": "The authorization pricing model." }, "features": { "type": "object", "description": "The list of features enabled on this service level." } } } }, "responses": { "NotAuthenticated": { "description": "User not authenticated.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "User not authenticated" } } } } } }, "NotAuthorized": { "description": "User not authorized.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "User not authorized" } } } } } }, "NotFound": { "description": "Resource was not found.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "Resource not found" } } } } } }, "ApiLimit": { "description": "API call rate limit exceeded.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "API call rate limit exceeded" } } } } } } }, "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer" } } } } ````